1. bobsco's Avatar
    Just a quick question. My iphone works great with my turbosim. It is a 1.1.2 otb and was upgraded to the 1.1.3. I know I don't need to unlock it using Ziphone 2.5 but if I upgrade to 1.1.4 and only jailbreak and activate, will my turbosim still work? Should I even bother upgrading?
    2008-03-02 05:32 AM
  2. JedixJarf's Avatar
    Whats wrong with not using your turbosim and just unlocking 1.1.4?
    2008-03-02 05:33 AM
LINK TO POST COPIED TO CLIPBOARD